Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- y
- z

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages

### - n -

- name : Lucene::SegmentInfoStatus , Lucene::FieldInfo , Lucene::SegmentInfo
- needToLoadPayload : Lucene::SegmentTermPositions
- NEGATIVE_PREFIX : Lucene::NumberTools
- newSegments : Lucene::IndexStatus
- newStarts : Lucene::MergeDocIDRemapper
- next : Lucene::AttributeSourceState , Lucene::SubScorer , Lucene::DocFieldProcessorPerField , Lucene::DocWriter , Lucene::QueryParser::JJCalls , Lucene::QueryParserToken
- nextCharCounter : Lucene::MappingCharFilter
- nextDocID : Lucene::DocumentsWriter
- nextLevelArray : Lucene::ByteBlockPool
- nextMask : Lucene::BooleanScorer
- nextPerField : Lucene::TermsHashPerField
- nextPerThread : Lucene::TermsHashPerField , Lucene::TermsHashPerThread
- nextTermsHash : Lucene::TermsHash , Lucene::TermsHashPerThread
- nextWriteDocID : Lucene::WaitQueue
- nextWriteLoc : Lucene::WaitQueue
- NO : Lucene::SegmentInfo
- NO_DOC_ID_PROVIDED : Lucene::Similarity
- NO_MORE_DOCS : Lucene::DocIdSetIterator
- noCFSRatio : Lucene::LogMergePolicy
- NORM_PRIORITY : Lucene::LuceneThread
- normGen : Lucene::SegmentInfo
- normMap : Lucene::MappingCharFilter
- norms : Lucene::NormsWriterPerField , Lucene::PhraseScorer , Lucene::SpanScorer , Lucene::TermScorer
- NORMS_HEADER : Lucene::SegmentMerger
- NORMS_HEADER_LENGTH : Lucene::SegmentMerger
- normsCache : Lucene::DirectoryReader , Lucene::MultiReader
- normsField : Lucene::MatchAllDocsQuery
- normStr : Lucene::NormalizeCharMap
- nrMatchers : Lucene::Coordinator
- nrScorers : Lucene::DisjunctionSumScorer
- ntzTable : Lucene::BitUtil
- num : Lucene::Num
- NUM : Lucene::StandardTokenizer
- numBadSegments : Lucene::IndexStatus
- number : Lucene::FieldInfo
- numberOfLevelsToBuffer : Lucene::MultiLevelSkipListReader
- numberOfSkipLevels : Lucene::MultiLevelSkipListReader , Lucene::MultiLevelSkipListWriter
- numberOfTerms : Lucene::MultiTermQuery
- numBuffer : Lucene::CharBlockPool
- numBytesAlloc : Lucene::DocumentsWriter
- numBytesUsed : Lucene::DocumentsWriter
- numDeleted : Lucene::SegmentInfoStatus
- numDocs : Lucene::SegmentWriteState
- numDocsInRAM : Lucene::DocumentsWriter
- numDocsInStore : Lucene::DocumentsWriter , Lucene::SegmentWriteState
- numFields : Lucene::SegmentInfoStatus
- numFiles : Lucene::SegmentInfoStatus
- numHits : Lucene::TopFieldCollector
- numOverlap : Lucene::FieldInvertState
- numPostingInt : Lucene::TermsHashPerField
- numPostings : Lucene::FreqProxFieldMergeState , Lucene::TermsHashPerField
- numScorers : Lucene::DisjunctionMaxScorer
- numSegments : Lucene::IndexStatus
- numSkipped : Lucene::MultiLevelSkipListReader
- numStoredFields : Lucene::StoredFieldsWriterPerDoc
- numTerms : Lucene::BufferedDeletes
- numThreads : Lucene::DocumentsWriterThreadState
- numTotalDocs : Lucene::FieldsReader , Lucene::TermVectorsReader
- numVectorFields : Lucene::TermVectorsTermsWriterPerDoc
- numWaiting : Lucene::WaitQueue

clucene.sourceforge.net